/***************************************************************************
                          speichern.h  -  description
                             -------------------
    begin                : Son Mr 30 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef SPEICHERN_H
#define SPEICHERN_H
 
#include <string>
using namespace std;


/** Diese Funktionen kopieren alle notwendigen Spielinformationen
	in eine Datei, beziehungsweihe holen sie zurck, sodass das spiel
	zu einem spteren Zeitpunkt fortgesetzt werden kann
	Die Funktionen befinden sich in Snapshots.cpp, da sowohl die Snapshots
	als auch das Speichern zur erhaltung der Spielinformation dienen,
	allerdings werden die snapshots und die saves von verschiedenen
	programmteilen genutzt, deshalb zwei header
	smtliche Spielstnde werden in ein Unterverzeichnis saves abgelegt,
	und auch von dort geladen. Die bergebenen Dateinamen sind relativ
	zu diesem Verzeichnis */

int saveToFile(string sDatei);

int restoreFromFile(string sDatei);

#endif
